Summary:	Polari - IRC client for GNOME 3
Summary(pl.UTF-8):	Polari - klient IRC dla GNOME 3
Name:		polari
Version:	40.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	https://download.gnome.org/sources/polari/40/%{name}-%{version}.tar.xz
# Source0-md5:	767cb0d520e3dcd65d37b315ae4f6506
URL:		https://wiki.gnome.org/Apps/Polari
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	gjs-devel >= 1.67.2
BuildRequires:	glib2-devel >= 1:2.43.4
BuildRequires:	gobject-introspection-devel >= 1.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	meson >= 0.51.0
# for syntax checking
#BuildRequires:	mozjs78 >= 78
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.12
BuildRequires:	yelp-tools
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.43.4
# see src/main.js for GI dependencies
Requires:	gdk-pixbuf2 >= 2.0
Requires:	gjs >= 1.67.2
Requires:	glib2 >= 1:2.43.4
Requires:	gspell
Requires:	gtk+3 >= 3.22
Requires:	libsecret
Requires:	libsoup >= 2.4
Requires:	pango >= 1:1.26
Requires:	telepathy-glib >= 0.12
Requires:	telepathy-logger-libs >= 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polari is an Internet Relay Chat (IRC) client designed for GNOME 3.

%description -l pl.UTF-8
Polari to klient usługi IRC (Internet Relay Chat), zaprojektowany dla
GNOME 3.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/polari
%dir %{_libdir}/polari
%attr(755,root,root) %{_libdir}/polari/libpolari-1.0.so
%dir %{_libdir}/polari/girepository-1.0
%{_libdir}/polari/girepository-1.0/Polari-1.0.typelib
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/glib-2.0/schemas/org.gnome.Polari.gschema.xml
%{_datadir}/metainfo/org.gnome.Polari.appdata.xml
%{_datadir}/polari
%{_datadir}/telepathy/clients/Polari.client
%{_desktopdir}/org.gnome.Polari.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Polari.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Polari-symbolic.svg
%changelog
* Tue Jul 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/polari.git;a=log;h=master

* Tue Jul 13 2021 Jakub Bogusz <qboosh@pld-linux.org> 9002bad
- updated to 40.1

* Fri Jun 25 2021 Jakub Bogusz <qboosh@pld-linux.org> c4f1513
- updated to 40.0

* Fri Jun 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 3307beb
- updated to 3.38.1

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 20c17f1
- updated to 3.38.0

* Wed Jun 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 0e2d20c
- updated to 3.36.3

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> d0e230b
- updated to 3.36.2

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c725026
- updated to 3.34.1

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 41770c3
- updated to 3.34.0

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 4fa0142
- updated to 3.24.2

* Tue Jul 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 0bae6ac
- more versioned BRs

* Thu Apr 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d05f706
- Update to 3.24.1

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5d73e9e
- Add BR: gspell. Release 2

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6e63067
- Update to 3.24.0

* Fri Dec 30 2016 Jakub Bogusz <qboosh@pld-linux.org> b5ad577
- more BRs (mostly those buildrequired only by configure checks)

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 3715951
- Update to 3.22.2

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c00c8c
- updated to 3.20.2

* Wed Apr 06 2016 Marcin Banasiak <marcin.banasiak@gmail.com> fbed895
- Update to 3.20.0

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 761a518
- updated to 3.18.1

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> cd71abc
- updated to 3.16.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8637e6a
- updated gettext BR

